<?php
namespace Bss\OrderImportExport\Model\Import\Entity\StatusHistory;

/**
 * Interceptor class for @see \Bss\OrderImportExport\Model\Import\Entity\StatusHistory
 */
class Interceptor extends \Bss\OrderImportExport\Model\Import\Entity\StatusHistory implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\Json\Helper\Data $jsonHelper, \Magento\ImportExport\Helper\Data $importExportData, \Magento\ImportExport\Model\ResourceModel\Import\Data $importData, \Magento\Framework\App\ResourceConnection $resource, \Magento\ImportExport\Model\ResourceModel\Helper $resourceHelper, \Magento\ImportExport\Model\Import\ErrorProcessing\ProcessingErrorAggregatorInterface $errorAggregator, \Bss\OrderImportExport\Model\Import\Mapping\Mapping $mapping, \Bss\OrderImportExport\Helper\Sequence $sequenceHelper, \Bss\OrderImportExport\Model\Config $config)
    {
        $this->___init();
        parent::__construct($jsonHelper, $importExportData, $importData, $resource, $resourceHelper, $errorAggregator, $mapping, $sequenceHelper, $config);
    }

    /**
     * {@inheritdoc}
     */
    public function validateData()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'validateData');
        return $pluginInfo ? $this->___callPlugins('validateData', func_get_args(), $pluginInfo) : parent::validateData();
    }

    /**
     * {@inheritdoc}
     */
    public function isNeedToLogInHistory()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'isNeedToLogInHistory');
        return $pluginInfo ? $this->___callPlugins('isNeedToLogInHistory', func_get_args(), $pluginInfo) : parent::isNeedToLogInHistory();
    }
}
